Description
Descriere
Acest instrument convertește Draft objects la Sketcher objects și invers.
Usage
Cum se utilizează
- Selectați un obiect Draft sau Sketch
- Apăsați butonul
Draft Draft2Sketch
Notes
- Non-Draft objects that are totally planar can also be converted.
- The command can only handle objects made up out of straight lines, circular arcs, elliptical arcs, B-Splines and Bézier curves.
- Draft BezCurves will be approximated by Sketcher BSplines.
- The external KicadStepUp Workbench contains a command to convert a Draft BSpline into a series of Sketcher Arcs. For more information see the forum topic BSplines to Shape2DView and Sketcher.
- This other forum topic contains a macro for such a conversion.
Scripting
See also: Autogenerated API documentation and FreeCAD Scripting Basics.
To convert objects to a sketch use the make_sketch
method (introduced in 0.19) of the Draft module. This method replaces the deprecated makeSketch
method.
sketch = make_sketch(objects_list, autoconstraints=False, addTo=None, delete=False, name="Sketch", radiusPrecision=-1, tol=1e-3)
objects_list
contains the objects to be converted. It is either a single object or a list of objects.Draft
objects,Part::Feature
objects andPart.Shape
objects are supported.- If
autoconstraints
isTrue
coincident constraints are added to nodes belonging to the same source object. addTo
is the existing sketch object the geometry is added to. If not supplied a new sketch is created.- If
delete
isTrue
the source objects are deleted. name
is the name for the new sketch.radiusPrecision
indicates how radius constraints should be handled:- Use
-1
to disable radius constraints. - Use
0
to add individual radius constraints. - Use a positive number to round radii according to this precision, and to add equal constraints between curves with equal radii.
- Use
tol
is the tolerance used to check if shapes are planar and co-planar. Use-1
for a strict analysis.sketch
is returned with the sketch object.
To convert a sketch to Draft objects use the draftify
method of the Draft module.
draftify(objectslist, makeblock=False, delete=True)
objectslist
contains the objects to be converted. It is either a single object or a list of objects.- If
makeblock
isTrue
the converted objects are grouped in aPart::Part2DObject
. - If
delete
isTrue
the source objects are deleted.
Example:
import FreeCAD as App
import Draft
doc = App.newDocument()
rectangle = Draft.make_rectangle(2000, 1000)
circle = Draft.make_circle(500)
doc.recompute()
sketch_from_draft = Draft.make_sketch([rectangle, circle], autoconstraints=True, delete=False, radiusPrecision=0)
doc.recompute()
draft_from_sketch = Draft.draftify(sketch_from_draft, delete=False)
doc.recompute()
Această pagină este preluată de la https://wiki.freecad.org/Draft_Draft2Sketch